libfreehand::FHPath Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libfreehand::FHPath Class Reference

`#include <FHPath.h>`

## Public Member Functions
| FHPath ()
| FHPath (const FHPath &path)
| ~FHPath ()
FHPath & | operator= (const FHPath &path)
void | appendMoveTo (double x, double y)
void | appendLineTo (double x, double y)
void | appendCubicBezierTo (double x1, double y1, double x2, double y2, double x, double y)
void | appendQuadraticBezierTo (double x1, double y1, double x, double y)
void | appendArcTo (double rx, double ry, double rotation, bool longAngle, bool sweep, double x, double y)
void | appendClosePath ()
void | appendPath (const FHPath &path)
void | setXFormId (unsigned xFormId)
void | setGraphicStyleId (unsigned graphicStyleId)
void | setEvenOdd (bool evenOdd)
void | writeOut (librevenge::RVNGPropertyListVector &vec) const
std::string | getPathString () const
void | transform (const FHTransform &trafo)
void | getBoundingBox (double x0, double y0, double &xmin, double &ymin, double &xmax, double &ymax) const
double | getX () const
double | getY () const
void | clear ()
bool | empty () const
bool | isClosed () const
unsigned | getXFormId () const
unsigned | getGraphicStyleId () const
bool | getEvenOdd () const
void | getBoundingBox (double &xmin, double &ymin, double &xmax, double &ymax) const

## Private Attributes
std::vector< std::unique_ptr< FHPathElement > > | m_elements
bool | m_isClosed
unsigned | m_xFormId
unsigned | m_graphicStyleId
bool | m_evenOdd

## Constructor & Destructor Documentation

## ◆ FHPath() [1/2]

libfreehand::FHPath::FHPath | ( |  | ) |
| inline

## ◆ FHPath() [2/2]

libfreehand::FHPath::FHPath | ( | const FHPath & | path | ) |

## ◆ ~FHPath()

libfreehand::FHPath::~FHPath | ( |  | ) |

## Member Function Documentation

## ◆ appendArcTo()

void libfreehand::FHPath::appendArcTo | ( | double | rx,
|  | double | ry,
|  | double | rotation,
|  | bool | longAngle,
|  | bool | sweep,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readOval().

## ◆ appendClosePath()

void libfreehand::FHPath::appendClosePath | ( |  | ) |

Referenced by libfreehand::FHParser::readArrowPath(), libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

## ◆ appendCubicBezierTo()

void libfreehand::FHPath::appendCubicBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readArrowPath(), and libfreehand::FHParser::readPath().

## ◆ appendLineTo()

void libfreehand::FHPath::appendLineTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

## ◆ appendMoveTo()

void libfreehand::FHPath::appendMoveTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readArrowPath(), libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

## ◆ appendPath()

void libfreehand::FHPath::appendPath | ( | const FHPath & | path | ) |

Referenced by libfreehand::FHCollector::_getBBofCompositePath(), libfreehand::FHCollector::_outputCompositePath(), and FHPath().

## ◆ appendQuadraticBezierTo()

void libfreehand::FHPath::appendQuadraticBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readRectangle().

## ◆ clear()

void libfreehand::FHPath::clear | ( |  | ) |

## ◆ empty()

bool libfreehand::FHPath::empty | ( |  | ) | const

Referenced by libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_outputPath(), libfreehand::FHParser::readArrowPath(), libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

## ◆ getBoundingBox() [1/2]

void libfreehand::FHPath::getBoundingBox | ( | double & | xmin,
|  | double & | ymin,
|  | double & | xmax,
|  | double & | ymax
| ) |  | const

## ◆ getBoundingBox() [2/2]

void libfreehand::FHPath::getBoundingBox | ( | double | x0,
|  | double | y0,
|  | double & | xmin,
|  | double & | ymin,
|  | double & | xmax,
|  | double & | ymax
| ) |  | const

Referenced by libfreehand::FHCollector::_appendArrowPath(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_outputClipGroup(), and libfreehand::FHCollector::_outputPath().

## ◆ getEvenOdd()

bool libfreehand::FHPath::getEvenOdd | ( |  | ) | const

Referenced by libfreehand::FHCollector::_outputClipGroup(), and libfreehand::FHCollector::_outputPath().

## ◆ getGraphicStyleId()

unsigned libfreehand::FHPath::getGraphicStyleId | ( |  | ) | const

Referenced by libfreehand::FHCollector::_getBBofCompositePath(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputCompositePath(), and libfreehand::FHCollector::_outputPath().

## ◆ getPathString()

std::string libfreehand::FHPath::getPathString | ( |  | ) | const

Referenced by libfreehand::FHCollector::_appendArrowPath().

## ◆ getX()

double libfreehand::FHPath::getX | ( |  | ) | const

## ◆ getXFormId()

unsigned libfreehand::FHPath::getXFormId | ( |  | ) | const

Referenced by libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_outputClipGroup(), and libfreehand::FHCollector::_outputPath().

## ◆ getY()

double libfreehand::FHPath::getY | ( |  | ) | const

## ◆ isClosed()

bool libfreehand::FHPath::isClosed | ( |  | ) | const

Referenced by libfreehand::FHCollector::_outputPath().

## ◆ operator=()

libfreehand::FHPath & libfreehand::FHPath::operator= | ( | const FHPath & | path | ) |

## ◆ setEvenOdd()

void libfreehand::FHPath::setEvenOdd | ( | bool | evenOdd | ) |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

## ◆ setGraphicStyleId()

void libfreehand::FHPath::setGraphicStyleId | ( | unsigned | graphicStyleId | ) |

Referenced by libfreehand::FHCollector::_getBBofCompositePath(), libfreehand::FHCollector::_outputCompositePath(), libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

## ◆ setXFormId()

void libfreehand::FHPath::setXFormId | ( | unsigned | xFormId | ) |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

## ◆ transform()

void libfreehand::FHPath::transform | ( | const FHTransform & | trafo | ) |

Referenced by libfreehand::FHCollector::_appendArrowPath(), libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_normalizePath(), libfreehand::FHCollector::_outputClipGroup(), and libfreehand::FHCollector::_outputPath().

## ◆ writeOut()

void libfreehand::FHPath::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const

Referenced by libfreehand::FHCollector::_outputClipGroup(), and libfreehand::FHCollector::_outputPath().

## Member Data Documentation

## ◆ m_elements

std::vector<std::unique_ptr<FHPathElement> > libfreehand::FHPath::m_elements
| private

Referenced by appendPath().

## ◆ m_evenOdd

bool libfreehand::FHPath::m_evenOdd
| private

## ◆ m_graphicStyleId

unsigned libfreehand::FHPath::m_graphicStyleId
| private

Referenced by operator=().

## ◆ m_isClosed

bool libfreehand::FHPath::m_isClosed
| private

Referenced by operator=().

## ◆ m_xFormId

unsigned libfreehand::FHPath::m_xFormId
| private

Referenced by operator=().

The documentation for this class was generated from the following files:

- FHPath.h
- FHPath.cpp